﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LottoPicker.CustomControl
{
    public partial class BallControl : UserControl
    {
        private Color _ballColor = Color.Transparent;
        private string _ballNumber = "0";
        public Color BallColor
        {
            get { return _ballColor; }
            set
            {
                _ballColor = value;
                this.Refresh();
            }
        }

        public string BallNumber
        {
            get { return _ballNumber; }
            set
            {
                _ballNumber = value;
                this.Refresh();
            }
        }

        public BallControl()
        {
            InitializeComponent();
        }

        private void BallControl_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            g.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;

            Pen pen = new Pen(Color.Black);
            pen.Width = 2f;

            // 공 그리기
            SolidBrush brush = new SolidBrush(_ballColor);
            float margin = pen.Width * 2;
            g.DrawEllipse(pen, margin, margin, this.Width - margin * 2, this.Height - margin * 2);
            g.FillEllipse(brush, margin, margin, this.Width - margin * 2, this.Height - margin * 2);

            // 텍스트용 공 그리기
            float halfWidth = this.Width / 2;
            float halfHeight = this.Height / 2;
            float centerEllipsRadius = this.Width / 4;
            g.DrawEllipse(pen, halfWidth - centerEllipsRadius, halfHeight - centerEllipsRadius, 2 * centerEllipsRadius, 2 * centerEllipsRadius);
            g.FillEllipse(new SolidBrush(Color.White), halfWidth - centerEllipsRadius, halfHeight - centerEllipsRadius, 2 * centerEllipsRadius, 2 * centerEllipsRadius);

            // 텍스트 그리기
            float factor = _ballNumber.Length == 1 ? 2f : 1f;
            float fontSize = centerEllipsRadius * 0.8f;
            g.DrawString(_ballNumber, new Font("Malgun Gothic", fontSize, FontStyle.Bold), new SolidBrush(Color.Black), halfWidth - fontSize / factor, halfHeight - fontSize);
        }
    }
}
