﻿using LottoPicker.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LottoPicker.CustomControl
{
    public partial class BallSelectControl : UserControl
    {
        public BallSelectControl()
        {
            InitializeComponent();
            cboType.SelectedIndex = 0;
            ctrBall.Visible = false;

            this.DoubleBuffered = true;
        }

        public void Pick()
        {
            ctrBall.Visible = false;

            int index = cboType.SelectedIndex;
            ctrBall.BallColor = Utils.Palettes[index];

            int num = Utils.GetNumber(index);
            ctrBall.BallNumber = num.ToString();

            ctrBall.Visible = true;
        }

        public int Pick(List<int> alreadySelected)
        {
            int index = cboType.SelectedIndex;
            ctrBall.BallColor = Utils.Palettes[index];

            int num = Utils.GetNumber(index);
            while (alreadySelected.Contains(num))
            {
                num = Utils.GetNumber(index);
            }

            ctrBall.BallNumber = num.ToString();
            ctrBall.Visible = true;

            return num;
        }
    }
}
